org.encog.mathutil.libsvm

## Class svm_parameter

- java.lang.Object
- - org.encog.mathutil.libsvm.svm_parameter

- All Implemented Interfaces:
    Serializable, Cloneable

      public class svm_parameter
      extends Object
      implements Cloneable, Serializable

  This class was taken from the libsvm package. We have made some modifications for use in Encog. The libsvm Copyright/license is listed here. Copyright (c) 2000-2010 Chih-Chung Chang and Chih-Jen Lin All rights reserved. Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met: 1. Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer. 2. Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution. 3. Neither name of copyright holders nor the names of its contributors may be used to endorse or promote products derived from this software without specific prior written permission. THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `double` | `C`
    `static int` | `C_SVC`
    `double` | `cache_size`
    `double` | `coef0`
    `int` | `degree`
    `double` | `eps`
    `static int` | `EPSILON_SVR`
    `double` | `gamma`
    `int` | `kernel_type`
    `static int` | `LINEAR`
    `int` | `nr_weight`
    `double` | `nu`
    `static int` | `NU_SVC`
    `static int` | `NU_SVR`
    `static int` | `ONE_CLASS`
    `double` | `p`
    `static int` | `POLY`
    `static int` | `PRECOMPUTED`
    `int` | `probability`
    `static int` | `RBF`
    `int` | `shrinking`
    `static int` | `SIGMOID`
    `int` | `svm_type`
    `double[]` | `weight`
    `int[]` | `weight_label`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `svm_parameter()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `clone()`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### C_SVC

          public static final int C_SVC

      See Also:
        Constant Field Values

    - #### NU_SVC

          public static final int NU_SVC

      See Also:
        Constant Field Values

    - #### ONE_CLASS

          public static final int ONE_CLASS

      See Also:
        Constant Field Values

    - #### EPSILON_SVR

          public static final int EPSILON_SVR

      See Also:
        Constant Field Values

    - #### NU_SVR

          public static final int NU_SVR

      See Also:
        Constant Field Values

    - #### LINEAR

          public static final int LINEAR

      See Also:
        Constant Field Values

    - #### POLY

          public static final int POLY

      See Also:
        Constant Field Values

    - #### RBF

          public static final int RBF

      See Also:
        Constant Field Values

    - #### SIGMOID

          public static final int SIGMOID

      See Also:
        Constant Field Values

    - #### PRECOMPUTED

          public static final int PRECOMPUTED

      See Also:
        Constant Field Values

    - #### svm_type

          public int svm_type

    - #### kernel_type

          public int kernel_type

    - #### degree

          public int degree

    - #### gamma

          public double gamma

    - #### coef0

          public double coef0

    - #### cache_size

          public double cache_size

    - #### eps

          public double eps

    - #### C

          public double C

    - #### nr_weight

          public int nr_weight

    - #### weight_label

          public int[] weight_label

    - #### weight

          public double[] weight

    - #### nu

          public double nu

    - #### p

          public double p

    - #### shrinking

          public int shrinking

    - #### probability

          public int probability

  - ### Constructor Detail

    - #### svm_parameter

          public svm_parameter()

  - ### Method Detail

    - #### clone

          public Object clone()

      Overrides:
        `clone` in class `Object`

Copyright © 2014. All Rights Reserved.